From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/twitter-text/
Date: Fri, 4 Nov 2016 06:09:09 +0000 (UTC) [thread overview]
Message-ID: <1478239620.f21df6771260f25a9734b658ac1711edc5d1db02.graaff@gentoo> (raw)
commit: f21df6771260f25a9734b658ac1711edc5d1db02
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 4 06:06:37 2016 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Nov 4 06:07:00 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f21df677
dev-ruby/twitter-text: add 1.14.1
Package-Manager: portage-2.3.0
| 1 +
| 31 ++++++++++++++++++++++++
2 files changed, 32 insertions(+)
--git a/dev-ruby/twitter-text/Manifest b/dev-ruby/twitter-text/Manifest
index 7d911c3..bfb2cdb 100644
--- a/dev-ruby/twitter-text/Manifest
+++ b/dev-ruby/twitter-text/Manifest
@@ -1 +1,2 @@
DIST twitter-text-1.14.0.gem 47104 SHA256 8c60d5be2dcfe19bb97d2f2549296cf5d4f52199de85ea7bb66e1196193cd294 SHA512 f2064d0108da5768c2b9f7fde4453d36eccfc38e3717cab03284c3001cd24d5365489ee718a1cd4ead28562f79075d20ccd0073755f245c6c20ca01d7d8b8ce9 WHIRLPOOL 5e69a2c34cd8991759b7bee3f736ef38f944d29845114367bca702f25e8fefc030d72399e33d09c7d4547f36bc0b990131834908123677ae1729d2651a131628
+DIST twitter-text-1.14.1.gem 47616 SHA256 13b2b6f7fcee40a966f72847e48a85aee0eebedb64fbe166d1f9a67a90192b13 SHA512 333494a5354221f4556d3393cfe514664b3d6549743c195f3b5967f0b765c7b7a71c4f18a1460c3a8634a5159c0fb14cb19819376d96ee4c5bbf07645c738c89 WHIRLPOOL bbb4cfdc1983be4b7a25e22d05a5e6140f6307a7009e1d2996d7e701d6244189da74494dc75ad626a466b3eceff94060b18812ea24fda341ec91dbc27b0225d4
--git a/dev-ruby/twitter-text/twitter-text-1.14.1.ebuild b/dev-ruby/twitter-text/twitter-text-1.14.1.ebuild
new file mode 100644
index 00000000..c72f80e
--- /dev/null
+++ b/dev-ruby/twitter-text/twitter-text-1.14.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Text handling for Twitter"
+HOMEPAGE="https://github.com/twitter/twitter-text"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "=dev-ruby/unf-0.1*"
+
+ruby_add_bdepend "test? ( >=dev-ruby/multi_json-1.3
+ >=dev-ruby/nokogiri-1.5.10 )"
+
+all_ruby_prepare() {
+ sed -i -e 's/2.14.0/2.14/' twitter-text.gemspec || die
+ sed -i -e '/simplecov/,/end/ s:^:#:' spec/spec_helper.rb || die
+}
next reply other threads:[~2016-11-04 6:09 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-11-04 6:09 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-14 8:12 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/twitter-text/ Hans de Graaff
2023-08-26 9:41 Hans de Graaff
2023-07-15 6:00 Hans de Graaff
2022-04-18 6:55 Hans de Graaff
2021-07-06 10:26 Hans de Graaff
2020-09-05 8:01 Hans de Graaff
2020-04-01 6:40 Hans de Graaff
2019-05-24 8:22 Hans de Graaff
2019-02-11 5:18 Hans de Graaff
2018-07-17 6:40 Hans de Graaff
2018-07-04 20:56 Hans de Graaff
2017-12-25 6:50 Hans de Graaff
2017-07-05 4:28 Hans de Graaff
2017-06-18 6:48 Hans de Graaff
2017-02-07 5:26 Hans de Graaff
2016-12-30 7:15 Hans de Graaff
2016-12-09 6:10 Hans de Graaff
2016-11-04 6:09 Hans de Graaff
2016-07-11 5:04 Hans de Graaff
2016-03-03 23:11 Manuel Rüger
2016-03-03 23:11 Manuel Rüger
2016-02-07 7:22 Hans de Graaff
2016-02-07 7:22 Hans de Graaff
2015-09-01 0:24 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1478239620.f21df6771260f25a9734b658ac1711edc5d1db02.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox